Bank Kalteng (Phase 2) - Bug #1180

[Training Management] Training History - Action Edit tidak ngeload data yang lama
06/03/2022 03:10 PM - Mega Yunita

Status: Closed Start date: 06/03/2022
Priority: Urgent Due date: 06/06/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Mohon bantuannya untuk mengatasi masalah yang terjadi, yaitu :
1. Ketika ingin melakukan Edit data, data yang lama tidak ke load.

Port : http:/103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu : HR Strategic > Training Management > Training History
Semoga dapat dimengerti

Terimakasih
Employes Overview - 10000163 - Femnando Sergio Rumbayan

Employesa IDx 10000163 Compary 1D FT. Bank Kalteng
Full Nams Femando Sergio Rumbayan Empioyes Office: Capem Tumbang Jutuh
B HR Administration Employis Status Active Qrganzation Divisi Corporate Secretary
Empioyes Type Pegawai Tetap Position Pemimpin Divisi Corparate Secnatary
B Budgeting
I Compensation
I Talent Managemant m
Training Data Start Date 02062022 Hofes: Testing
End Date 08062022 Create By. ek
mport Training Training Type: Testing Create Date: QW0B2022 145818
Export Tralning Event Testing Event Changa By ank
Trairing Report Score Pretest 20 Change Date QW0E2022 14:50.19
Email Blast Score Posttest %0
Organizer: Tasting

B Busingss Intelligence

o o ) 0hr | @om

B System Administration
Employee Overview - 10000163 - Femando Sergio Rumbayan

Employes |0; 10000163 Company ID PT. Bank Kalteng
[Full Name: Femando Sergha Rumbayan Employes Office Capem Tumbang Jutuh
I HR Adeinlstraiion Employes Status Active Crganzaton Divisi Compivale Secetary
Employes Type Pagavai Tetap Pozition Perimpin Divisi Corporate Secratary
W Budgeting
i Compansation
I Talent Managemant
Tralning Data Start Date Motes
. End Date:
imgsart Training Training Type: i Cruate By
Export Trairing Evant Create Date
Training Report Scohk Pritest Change By
Email Blast Seete Postiest Change Date
Organizer;
B Bus Intalligance
B Systern Administration m m
History
#1 - 06/03/2022 03:23 PM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to Tri Rizqiaty
#2 - 06/10/2022 03:27 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to Saswanto Tampan
#3 - 06/13/2022 09:30 AM - Saswanto Tampan
- Status changed from Assigned to QA Test
- Assignee changed from Saswanto Tampan to Mega Yunita
perbaikan pada mdgenerator.js
/* BEGIN YN 20220610 */
handler: function () {
var p_ = Ext.ComponentQuery.query('[name=Main]')[0];
p_.mask('Loading...");
var tbl = tableName;
var grid_ = Ext.ComponentQuery.query('minovagridmd[tableName=' + tableName + '1')[0];
var selecton_ = grid_.getView().getSelectionModel().getSelection()[0];
renderToForm = Ext.ComponentQuery.query('[gridMD=" + tableName + ']')[0].renderToForm;
if (Ext.ComponentQuery.query('[name=MinovaGridFormEdit' + tableName + ])[0]) {
Ext.ComponentQuery.query('[name=MinovaGridFormEdit' + tableName + ]')[0].setHidden(false)
} else {
mdgenerator.createFormCard(tableName, ", ", renderToForm, false, selecton_, '1','0");
}
Ext.ComponentQuery.query (' [name=MinovaGridFormEdit' + tableName + ']') [0].getForm() .setValues (selecton_.data);

var p = Ext.ComponentQuery.query (' [name=PanelMdDetail]') [0];
var tinggi = Ext.ComponentQuery.query (' [name=MinovaGridFormEdit' + tableName + ']1') [0]
.getHeight () ;
if (tinggi < 330) {
tinggi = 330;

}
p.setHeight (tinggi + 100);

Ext.ComponentQuery.query (' [name=MinovaGridFormDisplay' + tableName + ']')[0].setHidden
(true) ;

Ext.ComponentQuery.query (' [name=MinovaGridFormEdit' + tableName + ']') [0].act = '1';

//Ext .ComponentQuery.query (' [name=MinovaGridFormEdit' + tableName + ']') [0].setTitle ('
Edit - ' + grid_.tableDesc + ' - ' + getParam("EmployeeID") + ' - ' + getParam("FullName"))

Ext.ComponentQuery.query (' [name=DetailMD] ') [0] .setTitle('Edit' + ' - ' + grid_.tableDe
sc + ' - ' + getParam("EmployeeID") + ' - ' + getParam("FullName"));
setValueAmountEncrypt (tbl) ;
p_.unmask () ;
setKeyDisabled (true) ;
}
/* END YN 20220610 */

#4 - 06/13/2022 09:50 AM - Mega Yunita
- Status changed from QA Test to Closed
